Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.util
Interface FieldFilter

All Known Implementing Classes:
  BasicInstrumentationTask.CustomFieldFilter

    public interface FieldFilter

Used to determine whether a field reference should be instrumented.

Author:
  Steve Ebersole

Method Summary
`boolean` | `shouldInstrumentField(String className, String fieldName)` Should this field definition be instrumented?
`boolean` | `shouldTransformFieldAccess(String transformingClassName, String fieldOwnerClassName, String fieldName)` Should we instrument *access to* the given field.

Method Detail

### shouldInstrumentField

    boolean shouldInstrumentField(String className,
                                  String fieldName)

  Should this field definition be instrumented?

  Parameters:
    `className` - The name of the class currently being processed
    `fieldName` - The name of the field being checked.
  Returns:
    True if we should instrument this field.

### shouldTransformFieldAccess

    boolean shouldTransformFieldAccess(String transformingClassName,
                                       String fieldOwnerClassName,
                                       String fieldName)

  Should we instrument *access to* the given field. This differs from `shouldInstrumentField(java.lang.String, java.lang.String)` in that here we are talking about a particular usage of a field.

  Parameters:
    `transformingClassName` - The class currently being transformed.
    `fieldOwnerClassName` - The name of the class owning this field being checked.
    `fieldName` - The name of the field being checked.
  Returns:
    True if this access should be transformed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD